# $Revision: 1.6.2.5 $, $Date: 2004/06/14 23:43:52 $
#
# Conditional build:
# _with_tests - perform "make test" - working database connection required
#
%include	/usr/lib/rpm/macros.perl
%define		pname	Pg
%define		module	pgperl
Summary:        Perl interface to PostgreSQL database
Summary(es):    Mdulo Perl para acceder un servidor PostgreSQL
Summary(pl):    Interfejs dla Perla umoliwiajcy dostp do baz PostgreSQL
Summary(pt_BR): Mdulo Perl para acesso ao servidor PostgreSQL
Summary(ru):          postgresql  perl
Summary(uk):    ̦  ̦    postgresql  Perl
Summary(zh_CN): PostgreSQL  PL/Perl 
Name:		perl-%{pname}
Version:	2.0.2
Release:	1.1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://gborg.postgresql.org/pub/pgperl/stable/%{module}-%{version}.tar.gz
# Source0-md5:	0813c5ab151dd37ad8938634550e6c1a
URL:		http://gborg.postgresql.org/project/pgperl/projdisplay.php
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	postgresql-devel
Requires:	perl >= 5.6
Obsoletes:	postgresql-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.

%description -l pl
Ten modu jest interfejsem midzy Perlem a PostgreSQL-em. Uywa API
Perla 5 dla rozszerze C, aby odwoywa si do interfejsu libpq
PostgreSQL-a. W przeciwiestwie do DBD::pg, pgperl jest prb
implementacji interfejsu libpq tak blisk, jak to tylko moliwe.

%prep
%setup -q -n %{pname}-%{version}

%build
POSTGRES_HOME=%{_prefix}
export POSTGRES_HOME
%{__perl} Makefile.PL
%{__make}

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitearch}/auto/Pg
%attr(755,root,root) %{perl_sitearch}/auto/Pg/*.so
%{perl_sitearch}/auto/Pg/*.bs
%{perl_sitearch}/*.pm
%{_mandir}/man[13]/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pg.spec,v $
Revision 1.6.2.5  2004/06/14 23:43:52  ankry
- md5

Revision 1.6.2.4  2004/06/14 23:34:48  ankry
- rel. +0.1
- it is not noarch!

Revision 1.6.2.3  2003/09/09 11:12:39  ankry
- spaces -> tabs

Revision 1.6.2.2  2003/07/11 12:03:11  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6.2.1  2003/03/13 00:58:29  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/27 20:58:01  ankry
fixed %%attr and %%files

Revision 1.5  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.4  2003/02/19 08:21:11  qboosh
- Obsoletes: postgresql-perl

Revision 1.3  2003/02/17 19:13:09  qboosh
- pl description

Revision 1.2  2003/02/16 16:47:21  wrobell
- use more macros

Revision 1.1  2003/02/16 16:45:47  wrobell
- based on perl-PLP.spec and postgresql.spec from RA-branch
